package sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper;
// Generated Apr 28, 2017 12:20:54 PM by Hibernate Tools 4.3.1


import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.SEQUENCE;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * WsSent generated by hbm2java
 */
@Entity
@Table(name="ws_sent"
    ,schema="public"
)
public class WsSent  implements java.io.Serializable {


     private Long id;
     private SmsReceived smsReceived;
     private WsForwardOutSettings wsForwardOutSettings;
     private String data;
     private Date createdAt;
     private String wsSentStatusType;
     private String wsMessageUuid;
     private String wsMessageType;

    public WsSent() {
    }

    public WsSent(SmsReceived smsReceived, WsForwardOutSettings wsForwardOutSettings, String data, Date createdAt, String wsSentStatusType, String wsMessageUuid, String wsMessageType) {
       this.smsReceived = smsReceived;
       this.wsForwardOutSettings = wsForwardOutSettings;
       this.data = data;
       this.createdAt = createdAt;
       this.wsSentStatusType = wsSentStatusType;
       this.wsMessageUuid = wsMessageUuid;
       this.wsMessageType = wsMessageType;
    }
   
     @SequenceGenerator(name="generator", sequenceName="ws_sent_id_seq")@Id @GeneratedValue(strategy=SEQUENCE, generator="generator")

    
    @Column(name="id", unique=true, nullable=false)
    public Long getId() {
        return this.id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="sms_received_id")
    public SmsReceived getSmsReceived() {
        return this.smsReceived;
    }
    
    public void setSmsReceived(SmsReceived smsReceived) {
        this.smsReceived = smsReceived;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="ws_forward_out_id")
    public WsForwardOutSettings getWsForwardOutSettings() {
        return this.wsForwardOutSettings;
    }
    
    public void setWsForwardOutSettings(WsForwardOutSettings wsForwardOutSettings) {
        this.wsForwardOutSettings = wsForwardOutSettings;
    }

    
    @Column(name="data")
    public String getData() {
        return this.data;
    }
    
    public void setData(String data) {
        this.data = data;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="created_at", length=29)
    public Date getCreatedAt() {
        return this.createdAt;
    }
    
    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    
    @Column(name="ws_sent_status_type")
    public String getWsSentStatusType() {
        return this.wsSentStatusType;
    }
    
    public void setWsSentStatusType(String wsSentStatusType) {
        this.wsSentStatusType = wsSentStatusType;
    }

    
    @Column(name="ws_message_uuid")
    public String getWsMessageUuid() {
        return this.wsMessageUuid;
    }
    
    public void setWsMessageUuid(String wsMessageUuid) {
        this.wsMessageUuid = wsMessageUuid;
    }

    
    @Column(name="ws_message_type")
    public String getWsMessageType() {
        return this.wsMessageType;
    }
    
    public void setWsMessageType(String wsMessageType) {
        this.wsMessageType = wsMessageType;
    }




}


